Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415762 - [RFE] heketi-cli should support replacement of a failed devices
Summary: [RFE] heketi-cli should support replacement of a failed devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: cns-3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: CNS 3.5
Assignee: Raghavendra Talur
QA Contact: krishnaram Karthick
URL:
Whiteboard:
Depends On: 1435613
Blocks: 1415595
TreeView+ depends on / blocked
 
Reported: 2017-01-23 16:41 UTC by Mohamed Ashiq
Modified: 2017-05-03 07:04 UTC (History)
8 users (show)

Fixed In Version: heketi-4.0.0-2.el7rhgs
Doc Type: Enhancement
Doc Text:
Device Remove is a feature that allows heketi to move bricks from a failed device to other devices. This way administrators can perform operations on the failed device without losing brick data. As the copy of data happens with the replace brick of gluster, which internally triggers selfheal, bricks can be moved to a safer device and volumes will be served without any down time.
Clone Of:
Environment:
Last Closed: 2017-04-20 18:37:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1111 0 normal SHIPPED_LIVE heketi bug fix and enhancement update 2017-04-20 22:37:02 UTC

Description Mohamed Ashiq 2017-01-23 16:41:45 UTC
Description of problem:

heketi-cli currently supports only add and delete of a device. It should also support a cleaner way to replace a failed device as well:

#####
# heketi-cli device -h
Heketi Device Management

Usage:
  heketi-cli device [command]

Available Commands:
  add         Add new device to node to be managed by Heketi
  delete      Deletes a device from Heketi node
  disable     Disallow usage of a device by placing it offline
  enable      Allows device to go online
  info        Retreives information about the device

#####

Comment 8 Bhavana 2017-04-18 09:06:39 UTC
Hi Ashiq,

I have edited the doc text for the errata. Please review the same and share your comments if any.

Comment 10 errata-xmlrpc 2017-04-20 18:37:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1111


Note You need to log in before you can comment on or make changes to this bug.